$(document).ready(function(){

	bindModalClick();

	$(document).on('click', '#load_more_photo_albums', function(){

		// hide button
		$("#load_more_photo_albums").hide();

		if($('div#last_item_loader').text()==""){
			load_NextSet();
		}
	});

	$('#comments-modal').on('hidden', function () {
		$(this).removeData('modal');
	});

	$(document).on('click', '.more-replies', function(){

		var more_replies_div=$(this);
		var next_page=$(this).attr('next-replies');

		more_replies_div.html('<b>Loading more replies...</b> <img src="images/ajax-loader-like-comment.gif" />');

		console.log(next_page);

		$.post("replies_more.php",
				{ replies_next_page: next_page }
			)
			.done( function(data){
					more_replies_div.after(data);
					more_replies_div.remove();
				}
			);
	});

	$(document).on('click', '#more-comments', function(){

		var more_comments_div=$(this);
		var next_page=$(this).attr('next-comments');

		more_comments_div.html('<b>Loading more comments...</b> <img src="images/ajax-loader-like-comment.gif" />');

		console.log(next_page);

		$.post("comments_more.php",
				{ comments_next_page: next_page }
			)
			.done( function(data){
					more_comments_div.after(data);
					more_comments_div.remove();
				}
			);

	});

});

// functions
function load_NextSet() {

	$('div#last_item_loader').html('<img src="images/ajax-loader.gif">');

	var dsm_fb_photos_page_id = $('.dsm-fb-photos-page-id').text();
	var dsm_fb_photos_next_page = $('.dsm-fb-photos-next-page').text();

	$.post("albums_more.php", {
			fb_page_id: dsm_fb_photos_page_id,
			next_page: dsm_fb_photos_next_page
		},
		function(data){
			if (data!="") {
				$(".item_box:last").after(data);
			}

			if(data==""){
				// tell the user no more to load
				$('div#last_item_loader').html("<div id='all_items_loaded'>All photo albums were loaded.</div>");
			}else{
				$('div#last_item_loader').empty();
				$('.dsm-fb-photos-next-page:not(:last)').empty();

				// show button
				$("#load_more_photo_albums").show();
			}

			bindModalClick();

	});
};

// to show photos comments
function bindModalClick(){
	$('a[data-toggle="modal"]').on('click', function(e) {

		// change modal heading
		var page_name = $(e.currentTarget).data('page-name');
		$('#pop-up-title').html(page_name);

		// remove previous content of modal body
		$('.modal-body').empty();
		$('.modal-body').html("");

		// target url
		var target_url=$(this).attr('href');

		// text while loading the url
		$('.modal-body').html('<b>Loading comments...</b> <img src="images/ajax-loader-like-comment.gif" />');

		$('#comments-modal').modal('show');

		$('.modal-body').load(target_url);

		// Now return a false (negating the link action) to prevent Bootstrap's JS 3.1.1
		// from throwing a 'preventDefault' error due to us overriding the anchor usage.
		return false;
	});
}
